### Name: mlogit.data
### Title: data.frame for logit model
### Aliases: mlogit.data
### Keywords: attribute

### ** Examples


# ModeChoice is a vertical shaped data.frame 

data("ModeChoice",package="Ecdat")
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="vert",
                 alt=c("air","train","bus","car"))

# Same but with an alt variable called altm

data("ModeChoice",package="Ecdat")
ModeChoice$altm <- rep(c("air","train","bus","car"),210)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="vert",
                 alt="altm")

# Same but with an chid variable called ind 

data("ModeChoice",package="Ecdat")
ModeChoice$ind <- rep(1:210,each=4)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="vert",
                 chid="ind",alt=c("air","train","bus","car"))

# Same but with two own provided variables

data("ModeChoice",package="Ecdat")
ModeChoice$ind <- rep(1:210,each=4)
ModeChoice$altm <- rep(c("air","train","bus","car"),210)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="vert",
                 chid="ind",alt="altm")

# Train is an horizontal shaped data.frame with columns ordered by
# alternatives, 'choiceid' is the choice index

data("Train",package="Ecdat")
Train <- mlogit.data(Train,choice="choice",shape="hor.alt",
                 cvar=c(price=4,time=5,change=6,comfort=7),
                 opposite=c("price","time","change","comfort"),chid="choiceid")

# Car is an horizontal data.frame with columns ordered by variables

data("Car",package="Ecdat")
Car <- mlogit.data(Car,cvar=c(type=5,fuel=11,price=17,range=23,acc=29,speed=35,
                 pollution=41,size=47,space=53,cost=59,station=65),
                 shape="hor.var",choice="choice")

  


